Subject: Ticket Assigned - complaint ordernr: 9418036788
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 23 Mar 2023 07:45:45 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  complaint ordernr: 9418036788 Dear,

I'm writing this email as a complaint about the Centrepoint customer service.
I have made a return request on March 13th and got a confirmation via SMS stating that the delivery partner will pick up the order, the next day on March 14th I received a SMS stating that the pickup was unsuccessful and the partner is out for pick up again, I was home all day, so I didn't understand why it was unsuccessful so I decided to stay home the next day to make sure this didn't happen again.
The next day on March 15th I received a SMS stating that my return has been cancelled, I immediately called the customer support and I was told that it was cancelled because of two pickup attempts that have failed, I mentioned on the phone that I was at home all day and nobody came to my house or even had called me. The lady on the phone made a new return request for me and I was told this time it will be collected. I waited at home and again I received a SMS on March 16th that the pickup was unsuccessful, so I called to the customer care and was told again they will raise a complaint and it will definitely be collected.
The next day March 17th I'm staying home again because this time they should definitely come as the person on the phone mentioned but guess what.... no pickup!
On march 18th I called the customer service AGAIN and they would solve the issue, so on March 19th I finally receive a call from a pickup driver and he told me he would collect it the day after on March 20th around 5pm, so I'm waiting at home for him and he doesn't show up!! I called the number from the driver and he told me he is not a driver and I called the wrong number and he maybe called me by mistake the day before...
So now I'm furious to be lied to like that so I called the customer service again and this time I demanded to speak to a manager and after a while I was transferred to the manager and explained everything, He insured me that he would take care of it and he asked me the phone number of the driver, the manager called me back later on after speaking to the driver and told me It was his day off so that's why he lied to me but he would definitely come tomorrow to collect the return.
The next day March 21st I stay at home again because this time it was promised by the manager but again no driver showed up!
Calling the costumer service AGAIN and asking for the same manager but they couldn't find out who it was so I got transferred to a different manager ( someone called Yusef) I told him I didn't want to wait for the pickup anymore and that I needed the money back asap but he couldn't do that and the only thing he told me was again tomorrow they will come to collect it , he made a Promiss that this time it will be collected, even though I told him I don't trust that anymore he couldn't do anything else and if it wasn't collected I should call him back.
On March 22nd I received a SMS in the morning that the delivery partner is out for pickup HALLULUJA I thought so I made sure I'm home all day to receive a second SMS that day at 16:46 that the pickup was unsuccessful, and again nobody came to the house or called me!!!!
I immediately called the customer service to speak to Yusef but the lady couldn't transfer me to him and he would call me back within two hours, I never got called back.......

I think its absolute ridiculous how Centrepoint is dealing with this and not taking me serious at all, I've spent days at home waiting for a pickup that never came, I've spent hours on the phone and all to get AED 423 back. At this stage I do not only want the money from the return refunded I think Centrepoint should make up for all my time wasted, stressed caused by this issue.

Kind Regards,
Dorina Vella
0585865224

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5912580